<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.lv.stremoval.jtp</name>
<version>13</version>
<engineversion>25</engineversion>
<description>JTP - disables station linking</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$lv&#160;=&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>'jypr'</var></line>
<line linenr="002" indent=""><var>skip&#160;if&#160;</var><var>$lv</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var></line>
<line linenr="003" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><text>set&#160;global&#160;variable:&#160;name=</text><var>'jypr'</var><text>&#160;value=</text><var>1</var></line>
<line linenr="006" indent=""></line>
<line linenr="007" indent=""><var>$race&#160;=&#160;</var><var>Argon</var></line>
<line linenr="008" indent=""><var>$b&#160;=&#160;</var><var>0</var></line>
<line linenr="009" indent=""></line>
<line linenr="010" indent=""><var>loop</var><text>:</text></line>
<line linenr="011" interruptable="@" indent=""><var>=&#160;</var><text>wait&#160;</text><var>1</var><text>&#160;ms</text></line>
<line linenr="012" indent=""><var>$x&#160;=&#160;</var><text>get&#160;max&#160;sectors&#160;in&#160;x&#160;direction</text></line>
<line linenr="013" indent=""><var>while&#160;</var><var>$x</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="014" indent="&#160;"><text>dec&#160;</text><var>$x&#160;=&#160;</var></line>
<line linenr="015" indent="&#160;"><var>$y&#160;=&#160;</var><text>get&#160;max&#160;sectors&#160;in&#160;y&#160;direction</text></line>
<line linenr="016" indent="&#160;"><var>while&#160;</var><var>$y</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="017" indent="&#160;&#160;"><text>dec&#160;</text><var>$y&#160;=&#160;</var></line>
<line linenr="018" indent="&#160;&#160;"><var>$ran&#160;=&#160;</var><text>get&#160;sector&#160;from&#160;universe&#160;index:&#160;x=</text><var>$x</var><text>,&#160;y=</text><var>$y</var></line>
<line linenr="019" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$ran</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>null</var></line>
<line linenr="020" indent="&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>y</var></line>
<line linenr="021" indent="&#160;&#160;"><var>$orace&#160;=&#160;</var><var>$ran&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="022" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$orace</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>Xenon</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$orace</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>Khaak</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$orace</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>Pirates</var></line>
<line linenr="023" indent="&#160;&#160;&#160;"><text>goto&#160;label&#160;</text><var>y</var></line>
<line linenr="024" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$ran</var></line>
<line linenr="025" indent="&#160;&#160;&#160;"><text>continue</text></line>
<line linenr="026" indent="&#160;&#160;"><var>$ships&#160;=&#160;</var><var>$ran&#160;-&gt;</var><text>&#160;get&#160;station&#160;array&#160;from&#160;sector</text></line>
<line linenr="027" indent="&#160;&#160;"><var>$ships.size&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ships</var></line>
<line linenr="028" indent="&#160;&#160;"><var>while&#160;</var><var>$ships.size</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="029" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$ships.size&#160;=&#160;</var></line>
<line linenr="030" indent="&#160;&#160;&#160;"><var>$ship&#160;=&#160;</var><var>$ships</var><text>[</text><var>$ships.size</var><text>]</text></line>
<line linenr="031" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="032" indent="&#160;&#160;&#160;&#160;"><var>$grt&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="033" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$grt</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>Player</var></line>
<line linenr="034" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>START&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.lv.jtp.kill.st.comm</call><text>&#160;:&#160;</text></line>
<line linenr="035" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="036" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="037" indent="&#160;&#160;"><text>end</text></line>
<line linenr="038" indent=""><var>y</var><text>:</text></line>
<line linenr="039" indent="&#160;"><text>end</text></line>
<line linenr="040" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;</text><var>1</var><text>&#160;ms</text></line>
<line linenr="041" indent=""><text>end</text></line>
<line linenr="042" indent=""></line>
<line linenr="043" indent=""><var>if&#160;</var><var>$b</var><text>&#160;</text><var>==</var><text>&#160;</text><var>0</var></line>
<line linenr="044" indent="&#160;"><text>inc&#160;</text><var>$b&#160;=&#160;</var></line>
<line linenr="045" indent="&#160;"><var>$race&#160;=&#160;</var><var>Boron</var></line>
<line linenr="046" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop</var></line>
<line linenr="047" indent=""><var>else&#160;if&#160;</var><var>$b</var><text>&#160;</text><var>==</var><text>&#160;</text><var>1</var></line>
<line linenr="048" indent="&#160;"><text>inc&#160;</text><var>$b&#160;=&#160;</var></line>
<line linenr="049" indent="&#160;"><var>$race&#160;=&#160;</var><var>Split</var></line>
<line linenr="050" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop</var></line>
<line linenr="051" indent=""><var>else&#160;if&#160;</var><var>$b</var><text>&#160;</text><var>==</var><text>&#160;</text><var>2</var></line>
<line linenr="052" indent="&#160;"><text>inc&#160;</text><var>$b&#160;=&#160;</var></line>
<line linenr="053" indent="&#160;"><var>$race&#160;=&#160;</var><var>Paranid</var></line>
<line linenr="054" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop</var></line>
<line linenr="055" indent=""><var>else&#160;if&#160;</var><var>$b</var><text>&#160;</text><var>==</var><text>&#160;</text><var>3</var></line>
<line linenr="056" indent="&#160;"><text>inc&#160;</text><var>$b&#160;=&#160;</var></line>
<line linenr="057" indent="&#160;"><var>$race&#160;=&#160;</var><var>Teladi</var></line>
<line linenr="058" indent="&#160;"><text>goto&#160;label&#160;</text><var>loop</var></line>
<line linenr="059" indent=""><var>else&#160;if&#160;</var><var>$b</var><text>&#160;</text><var>==</var><text>&#160;</text><var>4</var></line>
<line linenr="060" indent="&#160;"><text>set&#160;global&#160;variable:&#160;name=</text><var>'jypr'</var><text>&#160;value=</text><var>1</var></line>
<line linenr="061" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="062" indent=""><text>end</text></line>
<line linenr="063" indent=""></line>
<line linenr="064" indent=""></line>
<line linenr="065" indent=""></line>
<line linenr="066" indent=""></line>
<line linenr="067" indent=""></line>
<line linenr="068" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.lv.stremoval.jtp" /><sval type="int" val="25" /><sval type="string" val="JTP - disables station linking" /><sval type="int" val="13" /><sval type="int" val="0" /><sval type="array" size="11"><sval type="string" val="lv" /><sval type="string" val="race" /><sval type="string" val="b" /><sval type="string" val="x" /><sval type="string" val="y" /><sval type="string" val="ran" /><sval type="string" val="orace" /><sval type="string" val="ships" /><sval type="string" val="ships.size" /><sval type="string" val="ship" /><sval type="string" val="grt" /></sval><sval type="array" size="60"><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="5" /><sval type="string" val="jypr" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536870137" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="157" /><sval type="int" val="5" /><sval type="string" val="jypr" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="loop" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="801" /><sval type="int" val="3" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610603511" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="802" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604023" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="4" /></sval><sval type="array" size="6"><sval type="int" val="800" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536866553" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="32" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="6" /></sval><sval type="array" size="37"><sval type="int" val="104" /><sval type="int" val="-536865785" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="10" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="10" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="10" /><sval type="int" val="8" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="11" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="1" /><sval type="int" val="-5" /><sval type="int" val="10" /><sval type="int" val="-8" /><sval type="int" val="1" /><sval type="int" val="-9" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="32" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536865273" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="12" /></sval><sval type="array" size="4"><sval type="int" val="1009" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="7" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604535" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="8" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="-1610604797" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="10" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604797" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.lv.jtp.kill.st.comm" /><sval type="int" val="-2147483646" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="24" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="y" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="12" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="9" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610602237" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="59" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610600955" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="59" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610599675" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="59" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610598395" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="100" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="59" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610597627" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="5"><sval type="int" val="157" /><sval type="int" val="5" /><sval type="string" val="jypr" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="16"><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
